[jboss-cvs] JBoss Messaging SVN: r2941 - trunk/tests/bin.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Tue Jul 31 13:52:55 EDT 2007


Author: timfox
Date: 2007-07-31 13:52:55 -0400 (Tue, 31 Jul 2007)
New Revision: 2941

Added:
   trunk/tests/bin/loop-remote
Log:
Added new script


Added: trunk/tests/bin/loop-remote
===================================================================
--- trunk/tests/bin/loop-remote	                        (rev 0)
+++ trunk/tests/bin/loop-remote	2007-07-31 17:52:55 UTC (rev 2941)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+
+count=5000
+i=0
+
+while [ $i -lt $count ]; do
+	i=`expr $i + 1`
+   echo "#############################################"
+   echo "#                                           #"
+	echo "#         Running test loop $i"
+   echo "#                                           #"
+   echo "#############################################"
+   echo ""
+   cat /dev/null > ../output/logs/messaging-remote-client.log
+   cat /dev/null > ../output/logs/messaging-remote-server0.log
+   cat /dev/null > ../output/logs/messaging-remote-server1.log
+   if ! ./runtest -remote; then
+		echo "Test failed on loop $i"
+      exit 1
+   fi
+done
+
+
+echo "#############################################"
+echo "#                                           #"
+echo "#      $count loops ran successfully" 
+echo "#                                           #"
+echo "#############################################"


Property changes on: trunk/tests/bin/loop-remote
___________________________________________________________________
Name: svn:executable
   + *




More information about the jboss-cvs-commits mailing list